Skip to content
GuidesBlogPlaygroundDashboard

Elevation

Look up elevation at one or more points
client.elevation.lookup(ElevationLookupParams { format, lat, lng, 4 more } query?, RequestOptionsoptions?): ElevationLookupResult { geometry, properties, type }
GET/api/v1/elevation
Look up elevation at one or more points
client.elevation.lookupPost(ElevationLookupPostParams { format, lat, lng, 4 more } params?, RequestOptionsoptions?): ElevationLookupResult { geometry, properties, type }
POST/api/v1/elevation
Look up elevation for multiple coordinates
client.elevation.batch(ElevationBatchParams { coordinates, format } params, RequestOptionsoptions?): ElevationBatchResult { features, type }
POST/api/v1/elevation/batch
Elevation profile along coordinates
client.elevation.profile(ElevationProfileParams { coordinates } body, RequestOptionsoptions?): ElevationProfileResult { geometry, properties, type }
POST/api/v1/elevation/profile
ModelsExpand Collapse
ElevationBatchResult { features, type }

GeoJSON FeatureCollection of elevation Point Features with 3D coordinates. Order matches the input coordinates array.

features: Array<ElevationLookupResult { geometry, properties, type } >

Elevation results in the same order as input coordinates

geometry: GeoJsonGeometry { coordinates, type }

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: Array<number> | Array<Array<number>> | Array<Array<Array<number>>> | Array<Array<Array<Array<number>>>>

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
Array<number>
Array<Array<number>>
Array<Array<Array<number>>>
Array<Array<Array<Array<number>>>>
type: "Point" | "LineString" | "Polygon" | 3 more

Geometry type

One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: Properties { elevation_m }
elevation_m: number

Elevation in meters above mean sea level (WGS84 EGM96 geoid)

type: "Feature"
type: "FeatureCollection"
ElevationLookupResult { geometry, properties, type }

GeoJSON Point Feature with a 3D coordinate [lng, lat, elevation] per RFC 7946 §3.1.1. The elevation is also available in properties.elevation_m for convenience.

geometry: GeoJsonGeometry { coordinates, type }

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: Array<number> | Array<Array<number>> | Array<Array<Array<number>>> | Array<Array<Array<Array<number>>>>

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
Array<number>
Array<Array<number>>
Array<Array<Array<number>>>
Array<Array<Array<Array<number>>>>
type: "Point" | "LineString" | "Polygon" | 3 more

Geometry type

One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: Properties { elevation_m }
elevation_m: number

Elevation in meters above mean sea level (WGS84 EGM96 geoid)

type: "Feature"
ElevationProfileRequest { coordinates }

Request body for elevation profile along a path. Provide at least 2 coordinates defining the path. Maximum 50 coordinates per request.

coordinates: Array<Coordinate>

Path coordinates in order of travel (min 2, max 50)

lat: number

Latitude in decimal degrees (-90 to 90)

maximum90
minimum-90
lng: number

Longitude in decimal degrees (-180 to 180)

maximum180
minimum-180
ElevationProfileResult { geometry, properties, type }

GeoJSON LineString Feature with 3D coordinates [lng, lat, elevation] representing the elevation profile along the input path. Summary statistics are in properties.

geometry: GeoJsonGeometry { coordinates, type }

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: Array<number> | Array<Array<number>> | Array<Array<Array<number>>> | Array<Array<Array<Array<number>>>>

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
Array<number>
Array<Array<number>>
Array<Array<Array<number>>>
Array<Array<Array<Array<number>>>>
type: "Point" | "LineString" | "Polygon" | 3 more

Geometry type

One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: Properties { avg_elevation_m, max_elevation_m, min_elevation_m, 2 more }

Elevation profile summary statistics

avg_elevation_m: number

Average elevation along the profile in meters

max_elevation_m: number

Maximum elevation along the profile in meters

min_elevation_m: number

Minimum elevation along the profile in meters

total_ascent_m: number

Total cumulative elevation gain in meters

total_descent_m: number

Total cumulative elevation loss in meters

type: "Feature"